
Redmine - Defect #7584

Can't change priority of moved bug

2011-02-09 09:21 - pasquale [:dedalus]

Status: Closed Start date: 2011-02-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

When I dupe a issue and then move it to another project, I can't change priority of duped bug in the new place! This is very annoying.

History

#1 - 2011-02-09 11:00 - Etienne Massip

Can't reproduce, could you give more details ? Do you have some plugins installed ?

#2 - 2011-02-19 23:31 - teh fink

I also have the same problem: priority of moved/copied tasks is greyed out.

Redmine 1.1.1.stable (SQLite)

ruby 1.8.7 (2010-12-23 patchlevel 330) [i686-darwin10]

I don't have any plugins installed, AFAIK. What details or debugging should I do?

#3 - 2011-02-21 10:01 - Etienne Massip

The priority field state is dependent upon the following test :

 :disabled => !@issue.leaf?

 From source:trunk/app/views/issues/_attributes.rhtml#L10.

Which could mean either that:

your moved task now has some subtasks attached to it ?

there is a bug updating issue hierarchy when moving issues

#4 - 2011-02-21 10:13 - pasquale [:dedalus]

Etienne Massip wrote:

Which could mean either that:

your moved task now has some subtasks attached to it ?

 Yes, it is!

#5 - 2011-02-21 10:45 - Etienne Massip

So, as I understand it, this is not an issue due to moving the bug but is part of the #443 subtasking feature : a parent task priority is not changeable as

it is the highest priority of its children.

Isn't it ?

#6 - 2011-02-21 10:50 - pasquale [:dedalus]

- Status changed from New to Resolved

Etienne Massip wrote:

So, as I understand it, this is not an issue due to moving the bug but is part of the #443 subtasking feature : a parent task priority is not
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/issues/_attributes.rhtml#L10


changeable as it is the highest priority of its children.

Isn't it ?

 Ok, I read bug #443: my ticket can be closed as Invalid, because redmine work as aspected.

#7 - 2011-02-21 10:51 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Done !
